org.vishia.gral.base

## Class GralGraphicTimeOrder.EnqueueInGraphicThread

- java.lang.Object
- - org.vishia.gral.base.GralGraphicTimeOrder.EnqueueInGraphicThread

- All Implemented Interfaces:
    EventConsumer
  Enclosing class:
    GralGraphicTimeOrder

      private static class GralGraphicTimeOrder.EnqueueInGraphicThread
      extends java.lang.Object
      implements EventConsumer

  To create the instance for the EventConsumer to enqueue time orders in the graphic thread queue. NOTE: class is need, not an anonymous instance, because initialization in super(..., new Enqueu...)

- - ### Field Summary

    - ### Fields inherited from interface org.vishia.event.EventConsumer

      `mEventConsumed, mEventDonotRelinquish, mMaskReservedHere, version`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `EnqueueInGraphicThread()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `processEvent(java.util.EventObject ev)` This routine should be overwritten to processes an event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnqueueInGraphicThread

          private EnqueueInGraphicThread()

  - ### Method Detail

    - #### processEvent

          public int processEvent(java.util.EventObject ev)

      Description copied from interface: `org.vishia.event.EventConsumer`
      This routine should be overwritten to processes an event.
      Specified by:
        `processEvent` in interface `EventConsumer`
      Parameters:
        `ev` - The event. It contains some data. The type of the event is not specified here. Any events can be processed.
      Returns:
        0 or `EventConsumer.mEventConsumed` or some other designation bits. It is possible to build a chain of responsibility. It is possible too to process a event from more as one instance.